/**********************************************************************/
/* DOS INFO                                                           */
/*                                                                    */
/* Illustrates some DOS-specific functions of BRexx.                  */
/**********************************************************************/
call load "dos.r"               /* load the DOS function library      */
call load "files.r"             /* load the FILES function library    */

/* Display some PC system information                                 */

say '============= PC Information ==============='
say 'The machine name is :'  machinename()
say 'The DOS version is  :'  dosversion()
say 'System memory is    :'  storage()
say 'The current disk is :'  getcurdisk()
say 'Freespace on drives :'  drivespace()

call charout ,'Enter a file name: '    /* get a file name from user   */    
pull testfile .                                              z

if exist(testfile) then do             /* if the input file exists... */
  
   /* display file size and its attributes as a string                */

   say '============= File Information ============='
   say 'The filesize of the test file is:'  filesize(testfile)
   file_attr = fileattr(testfile)
   say 'The file attributes of test file:'  attr2str(file_attr)

   /* read the entire file in 1 statement into an array, display it   */

   call readstem testfile,"filein."    /* read entire file into array */
   say 'Here is the contents of file:' testfile
   do j = 1 to filein.0                /* item 0 tells # in the array */
      say filein.j
   end
   end  /* if... then do */

else
   say 'File does not exist:' testfile

/* issue the DOS version (VER) command by many different techniques   */

say '=========== DOS Command Tests =============='

call charout ,'Method 1- DOS version is:'  /* the traditional method  */  
'ver'

version = 'ver'()                     /* capture "function" output    */
call charout ,('Method 2- DOS version is:' || version) 

say 'Method 3- DOS version is:'
'ver (STACK'                          /* capture output via the Stack */
do while ( queued() > 0 )
   parse pull version
   say version
end
                                      /* use ADDRESS to issue command */
call charout ,'Methods 4 and 5- DOS version is:'
address SYSTEM  ver
address COMMAND ver

exit 0
