/***************************************************************/
/* DRIVES INFO                                                 */
/*                                                             */
/* Illustrates a few Reginald drive information functions.     */
/***************************************************************/

/* display information about the machine's disk drives         */

say 'List of disk drives     : ' DriveMap(,'FIXED')
say 'List of CDROM drives    : ' DriveMap(,'CDROM')
say 'List of removable drives: ' DriveMap(,'REMOVABLE')
say 'List of RAM drives      : ' DriveMap(,'RAM')
say 'List of Network drives  : ' DriveMap(,'NETWORK')
say ' '


/* display information about the C: drive                      */

feedback = DriveInfo('drive_info')
if feedback <> 0 then say 'Error on DriveInfo call'
else do
    say 'Information about your C: drive...'
    say 'Drive Type     :' drive_info.4 
    say 'Serial Number  :' drive_info.2
    say 'Volume Label   :' drive_info.3
    say 'Size           :' drive_info.1
    say 'Bytes Free     :' drive_info.0
    say 'Filesystem     :' drive_info.5
    say 'Filename length:' drive_info.6
    say 'Drive Flags    :' drive_info.7
    say ' '
end

say 'Press <ENTER> to continue'; pull .
exit 0
