#!/usr/bin/rexx

/*********************************************************************/

/* FCOPY                                                             */

/*                                                                   */

/* Uses Rexx/imc I/O functions to copy a file.                       */

/* Reports file positions by the FTELL function.                     */

/*********************************************************************/

parse arg source target        /* get file names, retain lower-case  */



/* open input & output files, establish STREAM names                 */



rc_in  = open(source,'r','in')         /* open input file            */

rc_out = open(target,'w','out')        /* open output file           */

if rc_in <> 0 | rc_out <> 0 then       /* check for errors on open   */

   say 'File OPEN Error!'



/* perform the file copy, display file pointers as copying occurs    */



do j=1 while lines('in') > 0

   line = linein('in')
   
   say 'Input  file position after read  #' j || ': ' ftell('in')

   call lineout 'out',line

   say 'Output file position after write #' j || ': ' ftell('out')

end

/* close the files and exit                                          */



rc_in  = close('in')                   /* close input file           */

rc_out = close('out')                  /* close output file          */

if rc_in <> 0 | rc_out <> 0 then       /* check for errors on close  */

   say 'File CLOSE Error!'



exit 0
