/****************************************************************/
/* PHONE DIRECTORY LIST:                                        */
/*                                                              */
/*    Displays the phone directory's contents.                  */
/****************************************************************/
signal on syntax                  /* capture SQL syntax errors  */
call sql_initialize               /* load all Rexx/SQL functions*/

if SQLConnect(,,,'mysql')    <> 0 then call sqlerr 'On connect'
if SQLCommand(u1,"use test") <> 0 then call sqlerr 'On use'
            
sqlstr = 'select * from phonedir order by lname'
if SQLCommand(s1,sqlstr) <> 0 then call sqlerr 'On select'


/* this loop displays all rows from the SELECT statement        */

do j = 1 to sqlca.rowcount 
    say 'Name:'  s1.lname.j  'Phone:'  s1.phone.j 
end

call sql_pgm_end                  /* disconnect, drop functions */
exit 0

/************ Script continues with subroutines *****************/

sql_pgm_end: procedure expose sqlca.
   
   if SQLDisconnect() <> 0 then call sqlerr 'On disconnect'

   if SQLDropFuncs('UNLOAD') <> 0 then
      say 'sqldropfuncs failed, rc: ' rc
  
   return

sql_initialize: procedure

   if RxFuncAdd('SQLLoadFuncs','rexxsql', 'SQLLoadFuncs') <> 0 then
      say 'rxfuncadd failed, rc: ' rc

   if SQLLoadFuncs() <> 0 then 
     say 'sqlloadfuncs failed, rc: ' rc

   return

sqlerr: procedure expose sqlca.
   parse arg msg
   say 'Program failed, message is: ' msg
   say sqlca.interrm                    /* write SQLCA messages */
   say 'SQL error is:' sqlca.sqlerrm    /* write SQLCA messages */
   call SQLDropFuncs 'UNLOAD'
   exit 99
   return 99

syntax: procedure                  /* capture any syntax errors */
   say 'Syntax error on line: ' sigl    /* identify syntax error*/
   return
